﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ChartUserControl.ascx.cs" Inherits="ChartIntegrationApplication.Web.ChartUserControl" %>
<%@ Register Assembly="System.Web.Silverlight" Namespace="System.Web.UI.SilverlightControls"
    TagPrefix="asp" %>
    
<script type="text/javascript">
    var chartTitle, labelFormat, axisLabelFormat;

    function pluginLoaded(sender) 
    {
        // get reference to the silverlight control on the page
        var silverlightControl = sender.get_element();

        // call scriptable method in silverlight application
        // we call it here to ensure silverlight controls is fully loaded.
        if (chartTitle != null)
            silverlightControl.content.slChartPage.ChartTitle = chartTitle;

        if (labelFormat != null)
            silverlightControl.content.slChartPage.SeriesItemLabelFormat = labelFormat;

        if (axisLabelFormat != null)
            silverlightControl.content.slChartPage.AxisYLabelFormat = axisLabelFormat;

        silverlightControl.content.slChartPage.InitializeChart();
    }

    function setTitleValue(title) 
    {
        chartTitle = title;
    }

    function setFormatValue(format) 
    {
        labelFormat = format;
    }

    function setAxisFormatValue(format) 
    {
        axisLabelFormat = format;
    }
</script>    

<div style="position: fixed; height: 80%; width: 98%;">

<asp:Silverlight ID="Xaml1" runat="server" Source="~/ClientBin/ChartIntegrationApplication.xap" 
    MinimumVersion="2.0.31005.0" Width="100%" Height="100%" OnPluginLoaded="pluginLoaded" />
    
</div>